Subject: bug#61048: 28.2; Installing Eglot doesn't pull transitive Xref dependency

From: Eli Zaretskii <[email-masked]>
Date: Wed, 25 Jan 2023 14:01:26 +0200

> Cc: João Távora <[email-masked]>,
>  Dmitry Gutov <[email-masked]>
> Date: Wed, 25 Jan 2023 00:20:27 +0000
> From:  "Basil L. Contovounesios" via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Emacs 28 ships with Xref 1.3.0, and without Eglot.  Eglot depends on
> Project 0.9.3 directly and on Xref 1.4.0 transitively.  Yet package.el
> for some reason deems that the built-in Xref 1.3.0 satisfies this
> requirement, and does not pull a more recent version from GNU ELPA.
> 
> [ BTW, there is nothing special about steps 1, 4, 6 in the recipe above:
>   they just demonstrate that the expected version of Xref is missing. ]
> 
> At first glance this sounds like a package.el bug, but since there won't
> be an Emacs 28.3, and until someone checks whether it's present in Emacs
> 29+, perhaps something like the following is needed as a workaround?

I'm okay with this installed on emacs-29, unless Dmitry or João have
better ideas or objections.

Thanks.